Search Category Products

This endpoint returns an array of product Ids that match the provided search critera.
Use the search manifest from the GET /catalog/categories/{categoryId}/search/manifest
endpoint to build requests to this endpoint. If an invalid filter name is specified
in the request, it will be ignored. Use the GET /catalog/products/{productIds}
endpoint to get the details about the returned product Ids.

📘

Application Performance Note

While this endpoint can be super useful for searching for specific products, the highest performance for end users involves caching a local database and writing searches that work on a local database.

{
  "sort": "string",
  "limit": 0,
  "offset": 0,
  "filters": [
    {
      "name": "string",
      "values": [
        "string"
      ]
    }
  ]
}
{
  "totalItems": 0,
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    0
  ]
}
/catalog/categories/24/search

Headers:
Authorization | {{bearerToken}}
Content-Type | application/json

Body:
{
	"sort": "MinPrice DESC",
	"limit": 10,
	"offset": 0,
	"filters": [
		{
			"name": "ProductName",
			"values": [ "Aerith"]
		},
		{
			"name": "Rarity",
			"values": [ "Rare", "Legend", "Hero", "Promo" ]
		},
		{
			"name": "Category",
			"values": [ "VII"]
		}
	]
}

Response:
{
    "totalItems": 2,
    "success": true,
    "errors": [],
    "results": [
        137942,
        132438
    ]
}
Path Params
int32
required

The Id of the category to search.

Body Params

A collection of search parameters (i.e. filters and sorting).

int32
int32
string
boolean
filters
array of objects
filters
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

CategoryId is less than or equal to 0, offset is less than 0, limit is less than or
equal to 0, or duplicate filters provided.

404

CategoryId could not be found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json